/*===========================================================================
Project:  Inequality, Income Dynamics, and Worker Transitions:The Case of Mexico
Author:   Daniela Puggioni, Mariana Calderón, Alfonso Cebreros Zurita, León
Fernández Bujanda, José Antonio Inguanzo González, and David Jaume 
Program name: 10.est_5yearwindow.do
Dependencies: Banco de Mexico
Description: Produces estimates of wages trajectories (log differences) 
of workers who exit and re-enter formal employment with a 5-year event window
===========================================================================*/

glo carpeta 	     "S:\PartB\B.1TransitionsInOutIMSS\Replication"
glo sourcedata	     "$carpeta/data/source"
glo constructeddata	 "$carpeta/data/constructed"
glo figures 	     "$carpeta/figures"
glo logfiles	     "$carpeta/log"
glo ster		     "$carpeta/ster"
glo tables		     "$carpeta/tables"
glo code	         "$carpeta/code"

*Bring transitions from treatment group: workers with 1 inactive spell (only 2 active spells)
use "$constructeddata/transitions_treated.dta", replace

	*Five-year window
		keep if Cinco==1
		keep if evento>=9 & evento<=18
		
	*Figure D4 estimates (OJO: revisar si va con duración o no. Por el texto del paper indicaría que sí)
		log using "$logfiles/logdif_clustered5y.log", replace
				
			di "Estimates of wages trajectories (log differences) of workers who exit and re-enter formal employment with a 5-year event window"
		
				di "Male"
				reghdfe lsbcReal ib13.event##i.duracionIT i.age  i.actividad2 i.entidad i.anio  if sex==1, vce(cluster individuo indus_year) noabsorb
				estimates store M_logdif_clustered5y
				estimates save  "$ster/M_logdif_clustered5y", replace
		
				di "Female"
				reghdfe lsbcReal ib13.event##i.duracionIT i.age i.actividad2 i.entidad i.anio if sex==0, vce(cluster individuo indus_year) noabsorb
				estimates store F_logdif_clustered5y
				estimates save  "$ster/F_logdif_clustered5y", replace
				
		log close

/* End of do-file */			
	







