/*===========================================================================
Project:  Inequality, Income Dynamics, and Worker Transitions:The Case of Mexico
Author:   Daniela Puggioni, Mariana Calderón, Alfonso Cebreros Zurita, León
Fernández Bujanda, José Antonio Inguanzo González, and David Jaume 
Program name: 12.est_augmentedsample.do
Dependencies: Banco de Mexico
Description: Produces estimates of wages trajectories (log differences) of 
workers who exit and re-enter formal employment with at least 2 spells of 
formal employment
===========================================================================*/

glo carpeta 	     "S:\PartB\B.1TransitionsInOutIMSS\Replication"
glo sourcedata	     "$carpeta/data/source"
glo constructeddata	 "$carpeta/data/constructed"
glo figures 	     "$carpeta/figures"
glo logfiles	     "$carpeta/log"
glo ster		     "$carpeta/ster"
glo tables		     "$carpeta/tables"
glo code	         "$carpeta/code"

*Bring transitions from treatment group: workers with 1 inactive spell (only 2 active spells)
use "$constructeddata/transitions_treateds2.dta", replace

	*Three-year window
		keep if Tres==1
		keep if evento>=11 & evento<=16
		

	*Figure D5  (OJO: revisar si va con duración o no. Por el texto del paper indicaría que sí)
		log using "$logfiles/logdif_clustereds2.log", replace
				
			di "Estimates of wages trajectories (log differences) of workers who exit and re-enter formal employment with at least 2 spells of formal employment"
		
				di "Male"
				reghdfe lsbcReal ib13.event##i.duracionIT i.age  i.actividad2 i.entidad i.anio  if sex==1, vce(cluster individuo indus_year) noabsorb
				estimates store M_logdif_clustereds2
				estimates save  "$ster/M_logdif_clustereds2", replace
		
				di "Female"
				reghdfe lsbcReal ib13.event##i.duracionIT i.age i.actividad2 i.entidad i.anio if sex==0, vce(cluster individuo indus_year) noabsorb
				estimates store F_logdif_clustereds2
				estimates save  "$ster/F_logdif_clustereds2", replace

		log close

			 
	
	
	
/* End of do-file */			
	







