/*===========================================================================
Project:  Inequality, Income Dynamics, and Worker Transitions:The Case of Mexico
Author:   Daniela Puggioni, Mariana Calderón, Alfonso Cebreros Zurita, León
Fernández Bujanda, José Antonio Inguanzo González, and David Jaume 
Program name: 13.est_financialcrisis.do
Dependencies: Banco de Mexico
Description: Produces estimates of wages trajectories of workers who left 
formal employment during the 2009 financial crisis
===========================================================================*/

glo carpeta 	     "S:\PartB\B.1TransitionsInOutIMSS\Replication"
glo sourcedata	     "$carpeta/data/source"
glo constructeddata	 "$carpeta/data/constructed"
glo figures 	     "$carpeta/figures"
glo logfiles	     "$carpeta/log"
glo ster		     "$carpeta/ster"
glo tables		     "$carpeta/tables"
glo code	         "$carpeta/code"

*Bring transitions from treatment group: workers with 1 inactive spell (only 2 active spells)
use "$constructeddata/transitions_treated.dta", replace

	*Three-year window
		keep if Tres==1
		keep if evento>=11 & evento<=16
	 
	*Figure D6
		log using "$logfiles/logdif_crisisclustered3y.log", replace
		
			di "Estimates of wages trajectories of workers who left formal employment during the 2009 financial crisis"
		
			di "Male"
				reghdfe lsbcReal ibn.evento##crisis2009 i.age i.actividad2 i.entidad i.anio if sex==1, vce(cluster individuo indus_year) noabsorb 
				estimates store M_levels_crisisclustered3y
				estimates save  "$ster/M_logdif_crisisclustered3y", replace	
		
			di "Female"
				reghdfe lsbcReal ibn.evento##crisis2009  i.age i.actividad2 i.entidad i.anio if sex==0, vce(cluster individuo indus_year) noabsorb 
				estimates store F_levels_crisisclustered3y
				estimates save  "$ster/F_logdif_crisisclustered3y", replace	
				

		log close

		

/* End of do-file */			
	







