/*===========================================================================
Project:  Inequality, Income Dynamics, and Worker Transitions:The Case of Mexico
Author:   Daniela Puggioni, Mariana Calderón, Alfonso Cebreros Zurita, León
Fernández Bujanda, José Antonio Inguanzo González, and David Jaume 
Program name: 8.table_baseline_coefficients.do
Dependencies: Banco de Mexico
Description: Produces tables included in the appendix
===========================================================================*/

glo carpeta 	     "S:\PartB\B.1TransitionsInOutIMSS\Replication"
glo sourcedata	     "$carpeta/data/source"
glo constructeddata	 "$carpeta/data/constructed"
glo figures 	     "$carpeta/figures"
glo logfiles	     "$carpeta/log"
glo ster		     "$carpeta/ster"
glo tables		     "$carpeta/tables"
glo code	         "$carpeta/code"



*Table D1
clear
estimates use  "$ster/M_logdif_clustered3y"
estimate store M_logdif_clustered3y
estimates use  "$ster/F_logdif_clustered3y"
estimate store F_logdif_clustered3y

esttab  M_logdif_clustered3y  F_logdif_clustered3y  using "$tables/D1.logdif_clustered3y.csv",  replace ///
title("Estimates of wages trajectories of workers who exit and re-enter formal employment") ///
mtitle("Male" "Female") label nogap ///
nonumber interaction(" X ") ///
se  star(* 0.10 ** 0.05 *** 0.01) se(3) b(3)  ///
addnotes("Standard errors are clustered at the worker and sector-year levels") 	
	


*Table D2	
clear
estimates use  "$ster/M_treatment_control_clustered3y"
estimate store M_tc_clustered3y
estimates use  "$ster/F_treatment_control_clustered3y"
estimate store F_tc_clustered3y
	
esttab  M_tc_clustered3y  F_tc_clustered3y  using "$tables/D2.treatment_control_clustered3y.csv",  replace ///
title("Estimates of wages trajectories: treatment vs control group with a 3-year window")  ///
mtitle("Male" "Female") label nogap ///
nonumber interaction(" X ") ///
se  star(* 0.10 ** 0.05 *** 0.01) se(3) b(3)  ///
addnotes("Standard errors are clustered at the worker and sector-year levels") 	
		
/* End of do-file */	